API Reference
Update a connector
PUT
/api/connectors/{id}
Update a connector
Operation IDupdateConnector
Authentication
- BearerAuth
http bearerAPI key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.
Path parameters
idintegerrequiredResource ID
Request body
This request body is required.
Content typeapplication/json
requestobject4 properties
namestringtypestringconfigobjectAdditional properties are allowed.
descriptionstringSuccess response body
200Connector updated
Connector updated
Content typeapplication/json
responseobject7 properties
idintegernamestringtypestringconfigobjectParsed connector configuration
descriptionstring | nullcreated_atstring · date-timeupdated_atstring · date-timeError responses
404Resource not found
Resource not found
Content typeapplication/json
responseobject2 properties
errorstringmessagestringExample response
{
"error": "NOT_FOUND",
"message": "Resource not found"
}